task merge {
	Array[File] family_vcf_gz
	Array[File] family_vcf_idx
	String sample
	String docker
	String cluster_config
	String disk_size
	
	command <<<

		rtg vcfmerge --force-merge-all --no-gzip -o ${sample}.merged.vcf ${sep=" " family_vcf_gz}

	>>>

	runtime {
		docker:docker
		cluster: cluster_config
		systemDisk: "cloud_ssd 40"
		dataDisk: "cloud_ssd " + disk_size + " /cromwell_root/"
	}
	output {
		File merged_vcf = "${sample}.merged.vcf"
	}
}
